#ifndef PROTOTYPE_H
#include "prototypes.h"
#endif

#define MENU_H

MenuItem Calendar_Menu[] = {
  { "Year View", &xmPushButtonGadgetClass, XmNactivateCallback, 'Y', NULL, NULL,
      DisplayYearlyView, (XtPointer)1, (MenuItem *)NULL },
  { "Week View", &xmPushButtonGadgetClass, XmNactivateCallback, 'W', NULL, NULL,
      DisplayWeeklyView, (XtPointer)2, (MenuItem *)NULL },
  { "Daily View/Appointments", &xmPushButtonGadgetClass, XmNactivateCallback , 'D', NULL, NULL,
      DisplayAppointmentForm,(XtPointer)3, (MenuItem *)NULL },
  { "", &xmSeparatorGadgetClass, NULL, '\0', NULL, NULL,
      NULL, (XtPointer) 4, (MenuItem *)NULL },
  { "Use Julian Dates", &xmToggleButtonGadgetClass, XmNvalueChangedCallback, 'J', NULL, NULL,
      ToggleJulianDates,(XtPointer)5, (MenuItem *)NULL },

  NULL,
};

MenuItem File_Menu[] = {
  { "Open...", &xmPushButtonGadgetClass, XmNactivateCallback, 'O', NULL, NULL,
      Open_Calendar, (XtPointer)1, (MenuItem *)NULL },
  { "Save", &xmPushButtonGadgetClass, XmNactivateCallback, 'S', NULL, NULL,
      SaveDontExit, (XtPointer)2, (MenuItem *)NULL },
  { "Save & Exit", &xmPushButtonGadgetClass, XmNactivateCallback, 'x', NULL, NULL,
      SaveAndExit, (XtPointer)3, (MenuItem *)NULL },
  { "", &xmSeparatorGadgetClass, NULL, '\0', NULL, NULL,
      NULL, (XtPointer) 4, (MenuItem *)NULL },
  { "Exit", &xmPushButtonGadgetClass, XmNactivateCallback, 'E', NULL, NULL,
      Exit_Program, (XtPointer)5, (MenuItem *)NULL },
  NULL,
};

/*
MenuItem File_Menu[] = {
  { "Open...", &xmPushButtonGadgetClass, XmNactivateCallback, 'O', NULL, NULL,
      Open_Calendar, (XtPointer)1, (MenuItem *)NULL },
  { "Print...", &xmPushButtonGadgetClass, XmNactivateCallback, 'P', NULL, NULL,
      Print_Calendar, (XtPointer)2, (MenuItem *)NULL },
  { "Save", &xmPushButtonGadgetClass, XmNactivateCallback, 'S', NULL, NULL,
      SaveDontExit, (XtPointer)3, (MenuItem *)NULL },
  { "Save & Exit", &xmPushButtonGadgetClass, XmNactivateCallback, 'x', NULL, NULL,
      SaveAndExit, (XtPointer)4, (MenuItem *)NULL },
  { "", &xmSeparatorGadgetClass, NULL, '\0', NULL, NULL,
      NULL, (XtPointer) 5, (MenuItem *)NULL },
  { "Exit", &xmPushButtonGadgetClass, XmNactivateCallback, 'E', NULL, NULL,
      Exit_Program, (XtPointer)6, (MenuItem *)NULL },
  NULL,
};
*/

MenuItem Help_Menu[] = {
  { "Help", &xmPushButtonGadgetClass, XmNactivateCallback, 'H', NULL, NULL,
      Display_Help, (XtPointer)1, (MenuItem *)NULL },
  { "Version", &xmPushButtonGadgetClass, XmNactivateCallback,'V', NULL, NULL,
      Display_Version, (XtPointer)2, (MenuItem *)NULL },
  NULL,
};





